Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 888075 - [abrt] synergy-1.4.10-1: operator delete: Process /usr/bin/synergys was killed by signal 6 (SIGABRT)
Summary: [abrt] synergy-1.4.10-1: operator delete: Process /usr/bin/synergys was kille...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b102d8265e3a36885ec99309ccd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-17 23:44 UTC by Vladimir Darak
Modified: 2013-07-31 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-31 22:12:31 UTC
Type: ---


Attachments (Terms of Use)
File: environ (1.67 KB, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: var_log_messages (158 bytes, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: backtrace (8.25 KB, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: cgroup (128 bytes, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: smolt_data (2.75 KB, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: executable (17 bytes, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: maps (5.46 KB, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: dso_list (1.71 KB, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: proc_pid_status (787 bytes, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: build_ids (902 bytes, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details
File: open_fds (389 bytes, text/plain)
2012-12-17 23:44 UTC, Vladimir Darak
no flags Details

Description Vladimir Darak 2012-12-17 23:44:23 UTC
Description of problem:
1. start synergy (as server) on fedora 17
2. start synergy (as client) on windows 7
3. client is sucessfully connected to server
4. move mouse from server to client
5. synergy crash

i have apple magic mouse and apple keyboard connected to the Fedora 17

if I disconnect Magic Mouse from computer an connect classic USB mouse:
1. start synergy (as server) on fedora 17
2. synergy crash


Version-Release number of selected component:
synergy-1.4.10-1

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/synergys -f --no-tray --debug NOTE --name vlado-desktop -c /tmp/qt_temp.M14737 --address :24800
crash_function: operator delete
kernel:         3.6.9-2.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #6 operator delete at ../../../../libstdc++-v3/libsupc++/del_op.cc:48
: #7 operator delete[] at ../../../../libstdc++-v3/libsupc++/del_opv.cc:33
: #8 CXWindowsScreen::updateButtons()
: #9 CScreen::enable()
: #10 CServer::CServer(CConfig const&, CPrimaryClient*, CScreen*)
: #11 CServerApp::openServer(CConfig const&, CPrimaryClient*)
: #12 CServerApp::startServer()
: #13 CServerApp::startNode()
: #14 CServerApp::mainLoop()
: #15 standardStartupStatic(int, char**)

Comment 1 Vladimir Darak 2012-12-17 23:44:26 UTC
Created attachment 665164 [details]
File: environ

Comment 2 Vladimir Darak 2012-12-17 23:44:28 UTC
Created attachment 665165 [details]
File: var_log_messages

Comment 3 Vladimir Darak 2012-12-17 23:44:31 UTC
Created attachment 665166 [details]
File: backtrace

Comment 4 Vladimir Darak 2012-12-17 23:44:37 UTC
Created attachment 665168 [details]
File: limits

Comment 5 Vladimir Darak 2012-12-17 23:44:39 UTC
Created attachment 665169 [details]
File: cgroup

Comment 6 Vladimir Darak 2012-12-17 23:44:42 UTC
Created attachment 665170 [details]
File: smolt_data

Comment 7 Vladimir Darak 2012-12-17 23:44:44 UTC
Created attachment 665171 [details]
File: executable

Comment 8 Vladimir Darak 2012-12-17 23:44:46 UTC
Created attachment 665172 [details]
File: maps

Comment 9 Vladimir Darak 2012-12-17 23:44:49 UTC
Created attachment 665173 [details]
File: dso_list

Comment 10 Vladimir Darak 2012-12-17 23:44:51 UTC
Created attachment 665174 [details]
File: proc_pid_status

Comment 11 Vladimir Darak 2012-12-17 23:44:53 UTC
Created attachment 665175 [details]
File: build_ids

Comment 12 Vladimir Darak 2012-12-17 23:44:55 UTC
Created attachment 665176 [details]
File: open_fds

Comment 13 Joel 2013-02-12 20:49:53 UTC
Vladimir,

Where are you getting synergy-1.4.10-1 from since the manager of the synergy package on fedora doesn't seem interested in updating the package beyond 1.3.7?

Comment 14 Vladimir Darak 2013-02-13 07:31:41 UTC
synergy-1.4.10-1 I have from authors web page. I reached the same result with package synergy-1.3.7-6.fc18.i686 from Fedora's package manager

Comment 15 Joe Sislow 2013-03-06 15:59:38 UTC
(In reply to comment #13)
> Vladimir,
> 
> Where are you getting synergy-1.4.10-1 from since the manager of the synergy
> package on fedora doesn't seem interested in updating the package beyond
> 1.3.7?

I see it in updates for x86_64, btw.  
Updating:
 synergy                                 x86_64                                 1.4.10-1.fc18                                 updates                                 384 k

So it's in the repos somehow.  And it's broken in more ways than this.  It doesn't even show up in the system menu anymore when it updates from 1.4.9 to 1.4.10.

Comment 16 Fedora End Of Life 2013-07-03 21:15:37 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2013-07-31 22:12:35 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.